Freeciv-3.3: packet_ruleset_government Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_government Struct Reference

`#include <packets_gen.h>`

## Data Fields

Government_type_id | id
struct requirement_vector | reqs
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | sound_str [MAX_LEN_NAME]
char | sound_alt [MAX_LEN_NAME]
struct strvec * | helptext

## Detailed Description

Definition at line 1083 of file packets_gen.h.

## Field Documentation

## ◆ graphic_alt

char packet_ruleset_government::graphic_alt[MAX_LEN_NAME]

Definition at line 1089 of file packets_gen.h.

Referenced by handle_ruleset_government().

## ◆ graphic_str

char packet_ruleset_government::graphic_str[MAX_LEN_NAME]

Definition at line 1088 of file packets_gen.h.

Referenced by handle_ruleset_government().

## ◆ helptext

struct strvec* packet_ruleset_government::helptext

Definition at line 1092 of file packets_gen.h.

Referenced by free_packet_ruleset_government(), handle_ruleset_government(), and init_packet_ruleset_government().

## ◆ id

Government_type_id packet_ruleset_government::id

Definition at line 1084 of file packets_gen.h.

Referenced by handle_ruleset_government().

## ◆ name

char packet_ruleset_government::name[MAX_LEN_NAME]

Definition at line 1086 of file packets_gen.h.

Referenced by handle_ruleset_government().

## ◆ reqs

struct requirement_vector packet_ruleset_government::reqs

Definition at line 1085 of file packets_gen.h.

Referenced by free_packet_ruleset_government(), handle_ruleset_government(), and init_packet_ruleset_government().

## ◆ rule_name

char packet_ruleset_government::rule_name[MAX_LEN_NAME]

Definition at line 1087 of file packets_gen.h.

Referenced by handle_ruleset_government().

## ◆ sound_alt

char packet_ruleset_government::sound_alt[MAX_LEN_NAME]

Definition at line 1091 of file packets_gen.h.

Referenced by handle_ruleset_government().

## ◆ sound_str

char packet_ruleset_government::sound_str[MAX_LEN_NAME]

Definition at line 1090 of file packets_gen.h.

Referenced by handle_ruleset_government().